Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`internet`.`interfaces`.`IStreamServerEndpoint``

interface documentation

`class IStreamServerEndpoint(Interface): (source)`

Known implementations: `twisted.internet.endpoints.AdoptedStreamServerEndpoint`, `twisted.internet.endpoints.SSL4ServerEndpoint`, `twisted.internet.endpoints.StandardIOEndpoint`, `twisted.internet.endpoints.UNIXServerEndpoint`, `twisted.internet.endpoints._TCPServerEndpoint`, `twisted.internet.endpoints._WrapperServerEndpoint`

View In Hierarchy

A stream server endpoint is a place that a `Factory` can listen for incoming connections.

Present Since
10.1

Method | `listen` | Listen with `protocolFactory` at the location specified by this `IStreamServerEndpoint` provider.

def listen(protocolFactory: `IProtocolFactory`) -> `Deferred[IListeningPort]`: (source)

Listen with `protocolFactory` at the location specified by this `IStreamServerEndpoint` provider.

Parameters
protocolFactory:`IProtocolFactory` | A provider of `IProtocolFactory`
Returns
`Deferred[IListeningPort]` | A `Deferred` that results in an `IListeningPort` or an `CannotListenError`